package com.ruoyi.rocketmq.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.rocketmq.domain.RmAlarmRecord;

/**
 * 告警记录Service接口
 * 
 * @author gyt
 * @date 2025-09-12
 */
public interface IRmAlarmRecordService 
{
    /**
     * 查询告警记录
     * 
     * @param id 告警记录主键
     * @return 告警记录
     */
    public RmAlarmRecord selectRmAlarmRecordById(Long id);

    /**
     * 查询告警记录列表
     * 
     * @param rmAlarmRecord 告警记录
     * @return 告警记录集合
     */
    public List<RmAlarmRecord> selectRmAlarmRecordList(RmAlarmRecord rmAlarmRecord);

    /**
     * 新增告警记录
     * 
     * @param rmAlarmRecord 告警记录
     * @return 结果
     */
    public int insertRmAlarmRecord(RmAlarmRecord rmAlarmRecord);

    /**
     * 修改告警记录
     * 
     * @param rmAlarmRecord 告警记录
     * @return 结果
     */
    public int updateRmAlarmRecord(RmAlarmRecord rmAlarmRecord);

    /**
     * 批量删除告警记录
     * 
     * @param ids 需要删除的告警记录主键集合
     * @return 结果
     */
    public int deleteRmAlarmRecordByIds(Long[] ids);

    /**
     * 删除告警记录信息
     * 
     * @param id 告警记录主键
     * @return 结果
     */
    public int deleteRmAlarmRecordById(Long id);

    Map alarmHandlingStatus();
}
